summaryrefslogtreecommitdiffstats
path: root/chrome/app
diff options
context:
space:
mode:
authorthomasvl@chromium.org <thomasvl@chromium.org@0039d316-1c4b-4281-b951-d872f2087c98>2009-08-17 17:56:45 +0000
committerthomasvl@chromium.org <thomasvl@chromium.org@0039d316-1c4b-4281-b951-d872f2087c98>2009-08-17 17:56:45 +0000
commite68d6578f6c64a9120eb224aa594eca1c5960df3 (patch)
tree6542773bd5c5ac7a80566fe9cd73ed1cfcd95f7c /chrome/app
parentf3dd4151bea83e010fe5ff80e112ce129927dcd7 (diff)
downloadchromium_src-e68d6578f6c64a9120eb224aa594eca1c5960df3.zip
chromium_src-e68d6578f6c64a9120eb224aa594eca1c5960df3.tar.gz
chromium_src-e68d6578f6c64a9120eb224aa594eca1c5960df3.tar.bz2
Stop shortening the Mac lproj directories (ie-"en-US" instead of "en").
Add a script to make a link for "en.lproj" so we always have an english in the fall back list. Run said script as a postbuild step. TEST=Chrome should now show all 40 language when you do a get info in the finder. BUG=19165 Review URL: http://codereview.chromium.org/171043 git-svn-id: svn://svn.chromium.org/chrome/trunk/src@23547 0039d316-1c4b-4281-b951-d872f2087c98
Diffstat (limited to 'chrome/app')
-rwxr-xr-xchrome/app/tweak_mac_lproj_folders22
1 files changed, 22 insertions, 0 deletions
diff --git a/chrome/app/tweak_mac_lproj_folders b/chrome/app/tweak_mac_lproj_folders
new file mode 100755
index 0000000..d15c858
--- /dev/null
+++ b/chrome/app/tweak_mac_lproj_folders
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+# Copyright (c) 2009 The Chromium Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+# This script is intended to run from a "postbuild" action from within Xcode.
+# It will create any symlinks needed to sync up what comes from the GRIT files
+# with what Cocoa would like.
+
+set -e
+
+# Working in the resources directory
+cd "${BUILT_PRODUCTS_DIR}/${WRAPPER_NAME}/Contents/Resources"
+
+# Remove the stale zh.lproj
+# TODO: This can go away about 09/01/09, when they won't exist on the bots or
+# developers' local builds.
+rm -rf "zh.lproj" "en.lproj"
+
+# Provide an link for en.lproj that points to en-US.lproj.
+ln -fhs "en-US.lproj" "en.lproj"